=== modified file 'plugin/logging_stats/logging_stats.cc'
--- plugin/logging_stats/logging_stats.cc	2010-11-09 13:38:01 +0000
+++ plugin/logging_stats/logging_stats.cc	2010-11-14 14:46:36 +0000
@@ -140,13 +140,14 @@
 bool LoggingStats::resetGlobalScoreboard()
 {
   cumulative_stats->getGlobalStatusVars()->reset();
+  cumulative_stats->getGlobalStats()->getUserCommands()->reset();
 
-  vector<vector<ScoreboardSlot* >* > *vector_of_scoreboard_vectors=
+  ScoreBoardVectors *vector_of_scoreboard_vectors=
     current_scoreboard->getVectorOfScoreboardVectors();
 
-  vector<vector<ScoreboardSlot* >* >::iterator v_of_scoreboard_v_begin_it= vector_of_scoreboard_vectors->begin();
+  ScoreBoardVectors::iterator v_of_scoreboard_v_begin_it= vector_of_scoreboard_vectors->begin();
 
-  vector<vector<ScoreboardSlot* >* >::iterator v_of_scoreboard_v_end_it= vector_of_scoreboard_vectors->end();
+  ScoreBoardVectors::iterator v_of_scoreboard_v_end_it= vector_of_scoreboard_vectors->end();
 
   for (; v_of_scoreboard_v_begin_it != v_of_scoreboard_v_end_it; ++v_of_scoreboard_v_begin_it)
   {
@@ -157,10 +158,8 @@
     for (; scoreboard_vector_it != scoreboard_vector_end; ++scoreboard_vector_it)
     {
       ScoreboardSlot *scoreboard_slot= *scoreboard_vector_it;
-      if (scoreboard_slot->isInUse())
-      {
-        scoreboard_slot->getStatusVars()->reset();
-      }
+      scoreboard_slot->getStatusVars()->reset();
+      scoreboard_slot->getUserCommands()->reset();
     }
   }
 

=== modified file 'plugin/logging_stats/logging_stats.h'
--- plugin/logging_stats/logging_stats.h	2010-11-09 13:38:01 +0000
+++ plugin/logging_stats/logging_stats.h	2010-11-14 14:46:36 +0000
@@ -89,5 +89,7 @@
   drizzled::atomic<bool> is_enabled;
 
   void updateCurrentScoreboard(ScoreboardSlot *scoreboard_slot, drizzled::Session *session);
+
+  typedef std::vector<std::vector<ScoreboardSlot* >* > ScoreBoardVectors;
 };
 #endif /* PLUGIN_LOGGING_STATS_LOGGING_STATS_H */

=== modified file 'tests/t/global_status.test'
--- tests/t/global_status.test	2010-11-09 18:10:31 +0000
+++ tests/t/global_status.test	2010-11-14 14:46:36 +0000
@@ -21,7 +21,6 @@
 
 show global status like 'Handler%';
 
-connection default;
 flush global status;
 
 # should show reset counters;

